<div class="disaster-news">
    <div class="d-flex justify-content-between  align-items-cente">
        <div class="pointer" (click)="onBack()">
            <span class="material-symbols-outlined" style="vertical-align: middle;">
                arrow_back_ios
            </span>
            <strong><small>จัดทำข่าวสาธารณภัย แผ่นดินไหว</small></strong>
        </div>


        <button mat-raised-button (click)="onCreate()">เพิ่ม</button>
    </div>
    <br>

    <div class="filter-condition">
        <div class="filter-text text-center">
            <small class="">เงื่อนไขการค้นหา</small>
        </div>
    </div>
    <br>

    <div class="row ">
        <div class="mr-5 mt-3 " style="width: auto">
            <small class="mr-3">ชื่อ : </small>
            <mat-form-field appearance="outline" style="width: 150px;">
                <input matInput placeholder=" " [(ngModel)]="name">
            </mat-form-field>
        </div>

        <div class="mr-5 mt-3 " style="width: auto">
            <small class="mr-3">สถานะการจัดทำ : </small>
            <mat-form-field appearance="outline" style="width: 150px;">
                <mat-select [(ngModel)]="status">
                    <mat-option [value]="item.value" *ngFor="let item of statusList"
                        style="font-size: 12px; min-height: 30px;">
                        {{item.status}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>

        <div class="mr-5 mt-3 " style="width: auto">
            <small class="mr-3">จัดทำวันที่ : </small>
            <mat-form-field class="ml-3 mr-3" appearance="outline" style="width: 150px;">
                <input matInput [matDatepicker]="picker" [(ngModel)]="startDate" [max]="endDate">
                <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>

            <small class="mr-3">ถึงวันที่ : </small>
            <mat-form-field class="ml-3" appearance="outline" style="width: 150px;">
                <input matInput [matDatepicker]="picker2" [(ngModel)]="endDate" [min]="startDate">
                <mat-datepicker-toggle matIconSuffix [for]="picker2"></mat-datepicker-toggle>
                <mat-datepicker #picker2></mat-datepicker>
            </mat-form-field>
        </div>

        <button class="mr-3 mt-2" mat-raised-button color="primary" style="width: 100px;">ค้นหา</button>
        <button class="mr-3 mt-2" mat-raised-button style="width: 100px;">ล้างข้อมูล</button>


    </div>
    <br>

    <div class="filter-condition">
        <div class="filter-text text-center">
            <small class="">ผลลัพธ์ {{disasterNewsList.length}} รายการ</small>
        </div>
    </div>
    <br>

    <section class="example-container mat-elevation-z8" tabindex="0">
        <table mat-table [dataSource]="disasterNewsList">
            <ng-container matColumnDef="no">
                <th mat-header-cell *matHeaderCellDef>ลำดับ</th>
                <td mat-cell *matCellDef="let element ; index as i">
                    {{ (i+1) }}
                </td>
            </ng-container>

            <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef class="text-start">ชื่อ </th>
                <td mat-cell *matCellDef="let element"> {{element.name }} </td>
            </ng-container>

            <ng-container matColumnDef="source">
                <th mat-header-cell *matHeaderCellDef class="text-start"> แหล่งข็อมูล </th>
                <td mat-cell *matCellDef="let element"> {{element.source }} </td>
            </ng-container>


            <ng-container matColumnDef="dateChange">
                <th mat-header-cell *matHeaderCellDef class="text-start"> วันที่ ปรับปรุงล่าสุด </th>
                <td mat-cell *matCellDef="let element"> {{element.dateChange | dateCompare :'TH'}} </td>
            </ng-container>



            <ng-container matColumnDef="lavel">
                <th mat-header-cell *matHeaderCellDef class="text-start"> ระดับ</th>
                <td mat-cell *matCellDef="let element">
                    <span class="material-symbols-outlined" style="vertical-align: middle;">
                        radio_button_checked
                    </span>
                    {{element.lavel}}
                </td>
            </ng-container>
            <ng-container matColumnDef="status">
                <th mat-header-cell *matHeaderCellDef class="text-start"> สถานะ </th>
                <td mat-cell *matCellDef="let element">
                    <span class="material-symbols-outlined" style="vertical-align: middle;">
                        clock_loader_10
                    </span>
                    {{element.status }}
                </td>
            </ng-container>

            <ng-container matColumnDef="download">
                <th mat-header-cell *matHeaderCellDef class="text-start"> ดาวน์โหลด </th>
                <td mat-cell *matCellDef="let element">
                    <span class="material-symbols-outlined" style="vertical-align: middle;">
                        download
                    </span>
                </td>
            </ng-container>

            <ng-container matColumnDef="action">
                <th mat-header-cell *matHeaderCellDef class="text-start"> </th>
                <td mat-cell *matCellDef="let element">
                    <span class="material-symbols-outlined" style="vertical-align: middle;">
                        edit
                    </span>
                    <span class="material-symbols-outlined" style="vertical-align: middle;">
                        delete
                    </span>
                </td>
            </ng-container>


            <tr mat-header-row *matHeaderRowDef="displayedColumns ;sticky: true"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </section>




</div>